<div class="container mt-5">
    <div class="row">
        <div class="col-md-6">
            <div class="card-container">
                <div class="title">
                    {{model?.main_type == 'corporate' ? 'Corporate' : 'Individual'}} Gift Card
                </div>

                <div class="detail-card">
                    <div class="details">
                        <div class="card-title">
                            Gift card Details
                            <span *ngIf="model?.type == '0'" class="cursor ms-2" (click)="editType = '1'"><i
                                    class="fas fa-pencil"></i></span>
                        </div>
                        <div class="card-desc">
                            Amount: ₦{{model?.amount}}
                            <div *ngIf="editType == '1'" class="mt-1" [formGroup]="reactiveForm">
                                <div id="amounthelp" class="form-label form-text">Minimum amount is
                                    ₦1000.</div>

                                <div class="input-group mb-3" [class.is-invalid]="f.amount.invalid && f.amount.touched">
                                    <span class="input-group-text">₦</span>
                                    <input type="text" class="form-control" placeholder="1000"
                                        [(ngModel)]="model.amount" formControlName="amount" step=".01" IsDecimal>
                                </div>
                            </div>
                        </div>
                        <div class="card-desc">
                            Commission: {{model?.commission}}%
                        </div>
                        <div class="card-desc">
                            Total Amount: ₦{{_AccountBalanceCreditAmount}}
                        </div>
                        <div class="card-desc">
                            Card Type: {{ model?.type == '1' ? 'Multiple' : 'Single' }} gift card
                        </div>
                        <div class="d-grid mt-3" *ngIf="editType == '1'">
                            <button class="btn-primary" (click)="saveAmount()"> Save </button>
                        </div>

                    </div>
                </div>

                <div class="detail-card">
                    <div class="details">
                        <div class="card-title">
                            Receiver’s Information
                            <span
                                *ngIf="model?.type == '1' && model?.main_type == 'individual' && model.no_receivers < 6">
                                ({{model?.receiverInfo.length}}/{{model.no_receivers}})
                            </span>
                            <span class="cursor ms-2" (click)="goToReciever()"><i class="fas fa-pencil"></i></span>
                        </div>
                        <div class="receiver-docs" *ngIf="model?.type == '1' && this.docFile">
                            {{this.docFile.name}}
                            <div class="doctitle"> </div>
                            <div class="cursor" (click)="downloadFile()">
                                <svg width="19" height="24" viewBox="0 0 19 24" fill="none"
                                    xmlns="http://www.w3.org/2000/svg">
                                    <path
                                        d="M18.4252 6.01607L12.7192 0.251786C12.5601 0.0910715 12.3453 0 12.1199 0H0.856297C0.386979 0 0.0078125 0.383036 0.0078125 0.857143V23.1429C0.0078125 23.617 0.386979 24 0.856297 24H17.826C18.2953 24 18.6745 23.617 18.6745 23.1429V6.62411C18.6745 6.39643 18.5843 6.17679 18.4252 6.01607ZM16.7177 7.01786H11.7275V1.97679L16.7177 7.01786ZM16.7654 22.0714H1.9169V1.92857H9.92448V7.71429C9.92448 8.01265 10.0418 8.2988 10.2507 8.50978C10.4595 8.72076 10.7428 8.83929 11.0381 8.83929H16.7654V22.0714ZM10.1896 10.9286C10.1896 10.8107 10.0942 10.7143 9.97751 10.7143H8.70478C8.58811 10.7143 8.49266 10.8107 8.49266 10.9286V13.8214H5.62902C5.51236 13.8214 5.4169 13.9179 5.4169 14.0357V15.3214C5.4169 15.4393 5.51236 15.5357 5.62902 15.5357H8.49266V18.4286C8.49266 18.5464 8.58811 18.6429 8.70478 18.6429H9.97751C10.0942 18.6429 10.1896 18.5464 10.1896 18.4286V15.5357H13.0533C13.1699 15.5357 13.2654 15.4393 13.2654 15.3214V14.0357C13.2654 13.9179 13.1699 13.8214 13.0533 13.8214H10.1896V10.9286Z"
                                        fill="#562A83" />
                                </svg>
                            </div>
                        </div>
                        <div *ngIf="model?.type == '0' && model?.receiverInfo && model?.receiverInfo.length > 0">
                            <div class="card-desc">
                                Name: {{model?.receiverInfo[0].Name}}
                            </div>
                            <div class="card-desc">
                                Email: {{model?.receiverInfo[0].Email}}
                            </div>
                            <div class="card-desc">
                                Phone No: {{model?.receiverInfo[0].MobileNo}}
                            </div>
                        </div>
                        <div
                            *ngIf="model?.type == '1' && model?.main_type == 'individual' && model.no_receivers < 6 && model?.receiverInfo.length > 0">
                            <div class="receivers-card" *ngFor="let item of model.receiverInfo; let i= index">
                                <div class="d-flex justify-content-between">
                                    <div>
                                        {{item.Name}} &nbsp; ₦{{item.Amount}}
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="detail-card">
                    <div class="details">
                        <div class="card-title">
                            Sender’s Information
                            <span class="cursor ms-2" (click)="goToSender()"><i class="fas fa-pencil"></i></span>
                        </div>
                        <div style="max-height: 200px;overflow-y: auto;">
                            <div class="card-desc">
                                Name: {{model?.senderInfo.Name}}
                            </div>
                            <div class="card-desc">
                                Email: {{model?.senderInfo.Email}}
                            </div>
                            <div class="card-desc">
                                Phone No: {{model?.senderInfo.MobileNo}}
                            </div>
                            <div class="card-desc">
                                Personalized message: <br> <br>
                                <div [innerHTML]="model?.senderInfo.Description">
    
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
        </div>
        <div class="col-md-6">
            <div class="container">
                <app-gift-card-image [amount]="model?.amount"></app-gift-card-image>
                <div class="container mobile-container">
                    <div class="d-flex justify-content-between mt-5">
                        <button class="btn btn-primary-outline" (click)="cancelProcess()">Cancel</button>
                        <button [disabled]="checkoutDisabled" class="btn btn-primary ms-4"
                            (click)="openPaymentOption()">
                            Checkout <div class="loader ms-4" *ngIf="checkoutDisabled"></div>
                        </button>
                    </div>
                    <button id="paystackCheckout" angular4-paystack [key]="PayStackKey" [email]="email"
                        [amount]="_AccountBalanceCreditAmount * 100" [class]="'btn btn-primary'"
                        [ref]="_TransactionReference" (close)="paymentCancel()" (callback)="paymentDone($event)"
                        data-dismiss="modal" hidden></button>
                </div>
            </div>
        </div>
    </div>
</div>